Subject: Re: bug#51550: 29.0.50; Customize Group INS buttons sometimes don't have a left box line

From: Po Lu <[email-masked]>
Date: Wed, 29 Dec 2021 21:23:54 +0800

Eli Zaretskii <[email-masked]> writes:

> I think it might be easier to use invisible text, assuming it does the
> job.  For example, try this slightly modified variant of your recipe,
> to see what I mean:

>  (insert #("foo\n foo " 0 4 (face widget-field) 4 5 (invisible t) 5 8 (face custom-button)))

I found another potential problem: determining the start of a box run
doesn't take the before-string of an overlay into account.

wid-edit.el displays the button face through an overlay spanning from
the start to the end of the button, and I wanted to solve this problem
by adding a before-string containing a single invisible space, but that
doesn't seem to be affecting the non-display of the button's left box
line.

Any ideas?  Thanks in advance.